[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EVariantError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Variant error.

## Declaration

Source position: sysutilh.inc line 165

`type EVariantError = class(Exception)`
`ErrCode: LongInt;` |  | Variant error code.
`constructor CreateCode();` |  | Create an instance of EVariantError with a particular error code.
`end;`

## Inheritance

`EVariantError` |  | Variant error.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EVariantError is raised by the internal variant routines.

Documentation generated on: Feb 26 2014